/*
Igor, transforms DB Records into XML
Copyright (C) 1999  David Cancel

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the
Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA  02111-1307, USA.
*/

package com.synz.igor;

/**
 * The Igor constants.
 *
 * @author <a href="mailto:dave@synz.com">David Cancel</a>
 * @version Revision: 0.1 Date: 1999/06/02/25
 */
public interface IgorConstants {

    public static final String NAME = "Igor";
    public static final String VERSION = "0.1.0";
    
    /** Use this flag to turn debugging output on/off */
    public static final boolean DEBUG = false;
    
    /** 
    * Use the given string as a data format 
    * (see java.text.SimpleDateFormat for the list of options)
    * Default: MM.d.yyyy h:m:s:SS aaa zz    
    */
    public static final String DATE_FORMAT = "MM.d.yyyy h:m:s:SS aaa zz";                

    /** Optional. Used by the 'test harnesses' to execute examples. */
    public static final String DB_DRIVER = "org.gjt.mm.mysql.Driver";
    
    /** Optional. Used by the 'test harnesses' to execute examples. */
    public static final String DB_STRING = 
                            "jdbc:mysql://localhost:3306/test?user=root&password=";


//
}