/*
Igor, transforms DB Records into XML
Copyright (C) 1999  David Cancel

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the
Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA  02111-1307, USA.
*/

package com.synz.igor.printer;

import java.util.Date;
import java.text.SimpleDateFormat;

import com.synz.igor.IgorConstants;

/**
 * This class is responsible for writing and appending files.
 *
 * @author <a href="mailto:dave@synz.com">David Cancel</a>
 * @version Revision: 0.1 Date: 1999/06/02
 */    
public class Printer implements IgorConstants {    
    // all static class, no need to call constructor
    private Printer() {}

    public static void Debug(String msg) {
        if (DEBUG) {
            SystemPrinter.Debug(msg);
        }    
    }
    
    public static void Out(String msg) {
        SystemPrinter.Out(msg);
    }

    public static void Err(String msg) {
        SystemPrinter.Err(msg);
    }

    public static void Err(String msg, Exception e) {
        SystemPrinter.Err(msg,e);
    }

    protected static String now() {
        SimpleDateFormat f = new SimpleDateFormat(DATE_FORMAT);
        Date d = new Date();
        return f.format(d);
    }
        
        
//
}