/*
Igor, transforms DB Records into XMLL
Copyright (C) 1999  David Cancel

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the
Free Software Foundation, Inc., 59 Temple Place - Suite 330,
Boston, MA  02111-1307, USA.
*/

package com.synz.igor.printer;

/**
 * This class is responsible for writing to stdout and stderr.
 *
 * @author <a href="mailto:dave@synz.com">David Cancel</a>
 * @version Revision: 0.1 Date: 1999/06/02
 */
public class SystemPrinter {

    private SystemPrinter() {}
    
    /**
    * If DEBUG variable in IgorConstants is set to true
    * then print to stdout
    */
    protected static void Debug(String msg) {
            System.out.println(Printer.now() + " [Igor] DEBUG: " + msg);
    }
    
    /** Print to stdout */
    protected static void Out(String msg) {
        System.out.println(Printer.now() + " [Igor] OUT: " + msg);
    }

    /** Print to stderr */
    protected static void Err(String msg) {
        System.err.println(Printer.now() + " [Igor] ERROR: " + msg);
    }
    protected static void Err(String msg, Exception e) {
        System.err.println(Printer.now() + " [Igor] ERROR: " + msg + " " + e);
        e.printStackTrace();
    }
    
//
}